Множественные уязвимости в Gallarific

Дата публикации:
21.03.2008
Всего просмотров:
1076
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-1326
CVE-2008-1327
CVE-2008-1464
CVE-2008-1469
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Gallarific 1.x
Уязвимые версии: Gallarific 1.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "query" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "gusername" и "gpassword" в сценарии login.php, и в параметрах "username" и "password" в сценарии gadmin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за отсутствия проверки аутентификации в различных сценариях (gadmin/users.php, gadmin/photos.php, gadmin/comments.php, and gadmin/gallery.php). Удаленный пользователь может обойти механизм аутентификации и изменить комментарии, личные данные пользователей и отредактировать галереи.

URL производителя: www.gallarific.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA